# this source RPM builds on both UnitedLinux and OpenLinux
# the PLATFORM keyword appears in comments near platform specific code.
%define OpenLinux	[ -d /home/httpd/html/openlinux_help ]                  
# PLATFORM
# ol
%define _manprefixol      	%{_mandir}%{manEN}
%define _svidirol		/etc/rc.d/init.d
# ul
%define _manprefixul      	%{_mandir}
%define _svidirul		/etc/init.d

# generic
%define _name			cyrus-sasl2
%define _version		2.1.9
%define _destdir		%{_tmppath}/%{_name}-%{_version}

#
# Cyrus SASL
#
Summary:	Cyrus SASL
Name:		%{_name}
Version:	%{_version}
Release:	5
Copyright:	CMU public license
Group:		Applications
URL:		http://asg.web.cmu.edu/sasl/
Source0:	ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%{_name}-%{_version}.tar.gz
Source1:	%{_name}-%{_version}-init
Patch0:		%{_name}-%{_version}.patch
Patch1:		%{_name}-%{_version}-security.patch
Distribution:	Caldera, Inc.
Vendor:		Caldera, Inc. 
Packager:	Kurt Hutchison <kurth@sco.com>
BuildRoot: 	%{_destdir}
Exclusivearch:	i586

%Description
SASL is the Simple Authentication and Security Layer, a method for adding
authentication support to connection-based protocols. To use SASL, a protocol
includes a command for identifying and authenticating a user to a server and
for optionally negotiating protection of subsequent protocol interactions. If
its use is negotiated, a security layer is inserted between the protocol and
the connection. 

%Prep
rm -fr %{_destdir}
# PLATFORM
if %{OpenLinux}
then
	echo OpenLinux Build begun
else
	echo UnitedLinux Build begun
fi

%setup
%patch0 -p1
%patch1 -p1

%Build
# PLATFORM
if %{OpenLinux}
then
        manprefix=%{_manprefixol}
else
        manprefix=%{_manprefixul}
fi

# for now, don't do anything except anonymous and plain auth
./configure \
	--prefix=/usr/cyrus-sasl2 \
	--libdir=/usr/cyrus-sasl2/lib \
	--with-plugindir=/usr/cyrus-sasl2/lib/sasl \
	--enable-plain=yes \
	--with-pam=yes \
	--with-pwcheck=yes \
	--enable-cram=no \
	--enable-scram=no \
	--enable-digest=no \
	--enable-krb4=no \
	--enable-gssapi=no \
	--with-des=no \
	--with-rc4=no \
	--enable-otp=no \
	--with-saslauthd=/usr/cyrus-sasl2/state \
	--mandir=$manprefix
cd saslauthd
./configure \
	--prefix=/usr/cyrus-sasl2 \
	--enable-krb4=no \
	--enable-gssapi=no \
	--enable-sia=no \
	--enable-pam=yes \
	--with-saslauthd=/usr/cyrus-sasl2/state \
	--mandir=$manprefix
cd ..
make

%Install
[ -d %{_destdir} ] || mkdir -p %{_destdir}

# PLATFORM
if %{OpenLinux}
then
        svidir=%{_svidirol}
else
        svidir=%{_svidirul}
fi

make DESTDIR=%{_destdir} install

install -d %{_destdir}$svidir
install -m755 %{SOURCE1} %{_destdir}$svidir/saslauthd
install -d %{_destdir}/usr/cyrus-sasl2/state

%Clean
rm -fr %{_destdir}

%Pre
# PLATFORM
if %{OpenLinux}
then
        svidir=%{_svidirol}
else
        svidir=%{_svidirul}
fi

cd /
[ -x $svidir/saslauthd ] && $svidir/saslauthd stop
exit 0

%Post

# PLATFORM
if %{OpenLinux}
then
        svidir=%{_svidirol}
        install=/usr/lib/LSB/init-install
else
        svidir=%{_svidirul}
        install=/usr/lib/lsb/install_initd
fi

# not in-place-upgrade
if [ $1 = 1 ]
then
	$install saslauthd
fi

$svidir/saslauthd start

%Preun

# PLATFORM
if %{OpenLinux}
then
        svidir=%{_svidirol}
        remove=/usr/lib/LSB/init-remove
else
        svidir=%{_svidirul}
        remove=/usr/lib/lsb/remove_initd
fi

if [ $1 = 0 ]
then
	$svidir/saslauthd stop
	$remove saslauthd
	rm -fr /usr/cyrus-sasl2/state/*
fi

%Files
/usr/cyrus-sasl2
/etc
