%define PackageName drac

Name: 		%{PackageName}
Version: 	1.11
Release: 	2ul

Summary: 	Dynamic Relay Authorization Control
Summary(pt_BR):	Dynamic Relay Authorization Control
Summary(es): 	Dynamic Relay Authorization Control

Group: 		Libraries

License: 	University of Manitoba (BSD-style)
URL: 		ftp://ftp.cc.umanitoba.ca/src/drac.tar.Z
Source0:   	%{Name}-%{Version}.tar.gz
BuildRoot: 	%{_tmppath}/%{Name}-%{Version}
BuildPrereq: 	db


%Description
DRAC is a daemon that dynamically updates a relay authorization map 
for postfix. It provides a way to allow legitimate users to relay mail 
through an SMTP server, while still preventing others from using it as 
a spam relay. 

%Prep
%setup

%Build
%define DESTDIR $RPM_BUILD_ROOT
%define RPMEBIN %{DESTDIR}/usr/sbin
%define RPMLIBDIR %{DESTDIR}/usr/lib
%define RPMMAN %{DESTDIR}/usr/share/man/en/man
%define RPMINITD %{DESTDIR}/etc/rc.d
make CFLAGS="-DSOCK_RPC -DFCNTL_LOCK -DGETHOST -DDASH_C $RPM_OPT_FLAGS"  \
	EBIN=%{RPMEBIN} LIBDIR=%{RPMLIBDIR} INITD=%{RPMINITD} MAN=%{RPMMAN}

%Install
%{mkDESTDIR}
if [ ! -d %{RPMEBIN} ] 
then
	mkdir -p %{RPMEBIN}
fi
if [ ! -d %{RPMLIBDIR} ] 
then
	mkdir -p %{RPMLIBDIR}
fi
if [ ! -d %{RPMMAN} ] 
then
	mkdir -p %{RPMMAN}8
	mkdir -p %{RPMMAN}3
fi

install -d $DESTDIR/etc/rc.d
make install EBIN=%{RPMEBIN} LIBDIR=%{RPMLIBDIR} INITD=%{RPMINITD}
make install-man MAN=%{RPMMAN}

mkdir -p $DESTDIR/etc/sysconfig/daemons

cat <<-'EoD'  > $DESTDIR/etc/sysconfig/daemons/dracd
# Configuration resides in /etc/sysconfig/dracd
IDENT=dracd
SHORT="DRAC daemon"
DESCRIPTIVE="Dynamic Relay Authorization Control"
ONBOOT="yes"
OPTIONS="-i /etc/postfix/dracd.db"
EoD


%Pre
if [ $1 -gt 1 ]; then
   /etc/rc.d/dracd stop
fi

%Post
# insert drac into startup scripts
/usr/lib/lsb/install_initd dracd
# start drac
/etc/rc.d/dracd start

%Preun

if [ $1 = 0 ]; then
   /etc/rc.d/dracd stop

   # remove drac from startup scripts
   /usr/lib/lsb/remove_initd dracd
    rm -f /etc/postfix/dracd.db
fi

%Clean
%{rmDESTDIR}


%Files
%defattr(0750,root,root)
/usr/sbin/rpc.dracd
%attr(0644,root,root) /etc/sysconfig/daemons/dracd
%config /etc/rc.d/dracd

%defattr(0644,root,root)
/usr/lib/libdrac.a
/usr/share/man/en/man3/dracauth.3
/usr/share/man/en/man8/rpc.dracd.8

%Changelog
* Tue Aug 13 2002 Michal Marko <mmarko@caldera.com>
- Syntax fixes
- Minor cleanup
* Wed Mar 13 2002 Louis Imershein <louisi@caldera.com>
- Created spec file
