%define Apxs			%(type -path apxs || echo "/usr/sbin/apxs")
%define ApacheDataDir		%(%{Apxs} -q DATADIR)
%define ApacheSysconfDir	%(%{Apxs} -q SYSCONFDIR)
%define ApacheGroup		%(%{Apxs} -q CONF_GROUP)
%define ApacheUser		%(%{Apxs} -q CONF_USER)

%define HordeDocroot		%{ApacheDataDir}/html/horde
%define	HordeLibexecDir		/usr/lib/horde

Name        	: imp
Version     	: 2.2.7
Release     	: 1
Group       	: Server/WWW

Summary     	: IMP is a Web-based IMAP mail client based on Horde.
Summary(de) 	: IMP ist ein Web-basierter IMAP-Mail-Client basierend auf Horde.
Summary(es) 	: IMP es un cliente web de correo IMAP basado en Horde.
Summary(fr) 	: IMP est un client de courrier IMAP pour le Web, bas sur Horde.
Summary(it) 	: IMP  un client web di posta IMAP basato su Horde.
Summary(pt) 	: Cliente de mail IMAP para web baseado no Horde.
Summary(pt_BR) 	: Cliente de mail IMAP para web baseado no Horde.

Copyright   	: GPL
Packager    	: Holger Sickenberg <hs@caldera.de>
URL         	: http://www.horde.org/imp/

Provides    	: imp
Requires    	: horde

BuildRoot   	: /tmp/%{Name}-%{Version}

Source0: ftp://ftp.horde.org/horde.org/imp/tarballs/%{Name}-%{Version}.tar.gz
Source1: imp-install-message.html


%Description
IMP is the Internet Messaging Program. It is written in PHP, based on 
the Horde framework and provides webmail access to IMAP and POP3 accounts.

%Description -l de
IMP ist das Internet Messaging Program. Es wurde in PHP, basierend auf dem
Framework Horde, geschrieben und stellt Webmail-Zugriff auf IMAP und
POP3 Accounts bereit.

%Description -l es
IMP es el Internet Messaging Program (programa de mensajera en Internet). Est
escrito en PHP, basado en el entorno Horde y proporciona acceso a travs de web
a cuentas IMAP y POP3.

%Description -l fr
IMP signifie Internet Messaging Program. Il est crit en PHP, articul
sur le cadre Horde et fournit un accs webmail aux comptes IMAP et POP3.

%Description -l it
IMP  l'Internet Messaging Program.  scritto in PHP, basato
sull'infrastruttura Horde e fornisce accesso webmail ad account IMAP e POP3.

%Description -l pt
O IMP  o Internet Messaging Program. Est escrito em PHP, baseia-se no
conjunto de ferramentas Horde e fornece acesso webmail a contas IMAP e POP3.

%Description -l pt_BR
O IMP  o Internet Messaging Program. Est escrito em PHP, baseia-se no
conjunto de ferramentas Horde e fornece acesso webmail a contas IMAP e POP3.

%Prep

%setup -n %{Name}-%{Version}


%Build
mv config/defaults.php3.dist config/defaults.php3
mv config/ldap.php3.dist config/ldap.php3
mv config/mime.php3.dist config/mime.php3
mv config/servers.php3.dist config/servers.php3

perl -pi -e "s/^(\\s*\\\$default->root_url\\s*=\\s*)'';/\$1'\\/horde\\/imp'\;/;" \
	-e "s/^(\\s*\\\$default->database_driver\\s*=\\s*).*;/\$1'mysql'\;/;" \
	config/defaults.php3
cp $RPM_SOURCE_DIR/imp-install-message.html ./index.html

cat >README.OpenLinux << 'EOF'
IMP needs to be configured before it will work. A script has been provided
with OpenLinux to setup IMP with a default configuration.  This script will
create MySQL tables to be used for session information.  If you want to use
another database, you will need to change the configuration of phplib, horde
and imp.  To set up with MySQL, run this script from the command line as root:

  %{HordeLibexecDir}/horde.setup

EOF


%Install
%{mkDESTDIR}
install -d $DESTDIR%{HordeDocroot}/imp
install -d $DESTDIR%{HordeLibexecDir}/imp
cp -a * $DESTDIR%{HordeDocroot}/imp
cp -a scripts/* $DESTDIR%{HordeLibexecDir}/imp
%{fixManPages}

mkdir -p $DESTDIR%{ApacheSysconfDir}/modules
cat >$DESTDIR%{ApacheSysconfDir}/modules/mod_php4_horde_imp.conf <<-EOF
	#
	# mod_php4_horde_imp.conf: included by httpd.conf
	#
	
	# The following files should not be served for security reasons
	
	<DirectoryMatch "^%{HordeDocroot}/imp/(config|lib|locale|templates)">
	    order deny,allow
	    deny from all
	</DirectoryMatch>
	
EOF


%Clean
%{rmDESTDIR}

%Pre
if [ $1 != "1" ]; then
	if [ ! -e %{HordeDocroot}/imp/index.html ]; then
		mkdir -p %{HordeDocroot}/imp
		touch %{HordeDocroot}/imp/index.html.gone.rpmtmp
	fi
fi


%Post

if [ -f %{HordeDocroot}/imp/index.html.gone.rpmtmp ]; then
	rm -f %{HordeDocroot}/imp/index.html
	rm -f %{HordeDocroot}/imp/index.html.gone.rpmtmp
fi

%PreUn


%Files
%defattr(-,root,root)

%dir %{HordeDocroot}/imp
%dir %{HordeLibexecDir}/imp

%attr(-,root,root) %doc COPYING README README.OpenLinux docs/*

%dir               %attr(0750,root,%{ApacheGroup}) %{HordeDocroot}/imp/config
%config(noreplace) %attr(0640,root,%{ApacheGroup}) %{HordeDocroot}/imp/config/*
%{HordeDocroot}/imp/graphics
%{HordeDocroot}/imp/lib
%{HordeDocroot}/imp/locale
%{HordeDocroot}/imp/templates
%{HordeLibexecDir}/imp/*

%{HordeDocroot}/imp/*.php3
%{HordeDocroot}/imp/imp.css
%config(missingok) %{HordeDocroot}/imp/index.html

%config %{ApacheSysconfDir}/modules/*.conf


%ChangeLog
* Mon Jan 01 1998 ...
Template Version: 1.31

$Id: imp.spec,v 1.15 2001/11/14 13:42:27 hs Exp $
