#!/bin/sh
#
# Copyright (c) 2002 Caldera International, Inc. All Rights Reserved.
#

REQUEST=$1

# UnitedLinux
function isUL () {
	#DIST=`echo \`lsb_release -i 2>/dev/null\` | awk '{print $(NF)}'`
	#if [ "$DIST" = "UnitedLinux" ] ; then
	#	echo 1
	#else
	#	echo 0
	#fi

	# assume UnitedLinux unless we find OpenLinux
	rc=`isOL`
	if [ "$rc" = 1 ] ; then
		echo 0
	else
		echo 1
	fi
}

# UnixWare
function isUW () {
	# or [ -e /unixware/etc/rc0.d/K02audit ]
	if [ -e "/unixware/bin/sh" ]; then
		echo 1
	else
		echo 0
	fi
}

# OpenLinux
function isOL () {
	if  rpm -q OpenLinux > /dev/null 2>&1
	then
		echo 1
	else
		echo 0
	fi
}

case "$REQUEST" in
	'--ul')
		# UnitedLinux
		rc=`isUL`
		;;
	'--uw')
		# UnixWare
		rc=`isUW`
		;;
	'--ol')
		# OpenLinux
		rc=`isOL`
		;;
	*)
		# Usage
		rc="Usage: $0 { --ul | --ol | --uw }"
		;;

esac 

echo $rc
