<!--
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

var formToggle = 'more';

function Validate() {
	var errors = '';
	var f = document.usercreateForm;

	// Check required fields
	if (isblank(f._uid.value)) {
		errors += '<?= getIntlMsgJS('ERR_JS_FIELD_REQUIRED',
			getIntlMsgJS('MSG_USERS_FIELD_UID')) ?>';
	}

	if (isblank(f._mail.value)) {
		errors += '<?= getIntlMsgJS('ERR_JS_FIELD_REQUIRED',
			getIntlMsgJS('MSG_USERS_FIELD_MAIL')) ?>';
	}

	if (isblank(f._pw.value)) {
		errors += '<?= getIntlMsgJS('ERR_JS_FIELD_REQUIRED',
			getIntlMsgJS('MSG_USERS_FIELD_PASSWD')) ?>';
	}

	if (isblank(f._confirmpw.value)) {
		errors += '<?= getIntlMsgJS('ERR_JS_FIELD_REQUIRED',
			getIntlMsgJS('MSG_USERS_FIELD_PASSWD_AGAIN')) ?>';
	}

	// Check for invalid characters
	if (f._uid.value.match(/[<?= getIntlMsgJS('MSG_USERS_UID_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_UID'),
			getIntlMsgJS('MSG_USERS_UID_BAD_CHARS')) ?>';
	}

	if (f._mail.value.match(/[<?= getIntlMsgJS('MSG_USERS_MAIL_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_MAIL'),
			getIntlMsgJS('MSG_USERS_MAIL_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._altmail.value)) && 
		f._altmail.value.match(/[<?= getIntlMsgJS('MSG_USERS_MAIL_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_ALTMAIL'),
			getIntlMsgJS('MSG_USERS_MAIL_BAD_CHARS')) ?>';
	}

	var t = f._forward.value.match(/@/g);
	if (t && t.length > 1) {
		errors += '<?= getIntlMsgJS('ERR_JS_ATMOST_ONE',
			getIntlMsgJS('MSG_USERS_FIELD_FORWARD'),
			'@') ?>';
	}

	if ((! isblank(f._wphone.value)) &&
		f._wphone.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_WORKPHONE'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._mphone.value)) &&
		f._mphone.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_MOBILEPHONE'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._hphone.value)) &&
		f._hphone.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_HOMEPHONE'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._pager.value)) &&
		f._pager.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_PAGER'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}

	if ((! isblank(f._fax.value)) &&
		f._fax.value.match(/[<?= getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS_EXP') ?>]/)) {
		errors += '<?= getIntlMsgJS('ERR_JS_CANNOT_CONTAIN',
			getIntlMsgJS('MSG_USERS_FIELD_FAX'),
			getIntlMsgJS('MSG_USERS_PHONE_BAD_CHARS')) ?>';
	}


	// Check passwords match
	if (f._pw.value != f._confirmpw.value) {
		errors += '<?= getIntlMsgJS('ERR_JS_PASSWORD_MISMATCH',
			getIntlMsgJS('MSG_USERS_FIELD_PASSWD'),
			getIntlMsgJS('MSG_USERS_FIELD_PASSWD_AGAIN')) ?>';
	}

	if (errors) {
		alert('<?= getIntlMsgJS('ERR_JS_ERROR_IN_FORM')?>' + errors);
		return false;
	}

	return true;
}

function Submit() {
	if (Validate()) {
		document.usercreateForm.submit();
	}

	return false;
}

function Focus() {
	document.usercreateForm._uid.focus();

	return false;
}

function Clear() {
	document.usercreateForm._uid.value = '';
	document.usercreateForm._lastname.value = '';
	document.usercreateForm._firstname.value = '';
	document.usercreateForm._mail.value = '';
	document.usercreateForm._pw.value = '';
	document.usercreateForm._confirmpw.value = '';
	document.usercreateForm._wphone.value = '';
	document.usercreateForm._hphone.value = '';
	document.usercreateForm._mphone.value = '';
	document.usercreateForm._pager.value = '';
	document.usercreateForm._fax.value = '';
	document.usercreateForm._title.value = '';
	document.usercreateForm._location.value = '';
	document.usercreateForm._altmail.value = '';
	document.usercreateForm._forward.value = '';
	Focus();

	return false;
}

function AdvOptionsOpen(id) {

	if (document.all){

		if (formToggle == 'more') {

			formToggle = 'less';
			document.all[id].style.display = '';
			document.all.more.innerText = 
				'<?= getIntlMsgJS('MSG_FEWER_OPTIONS') ?>';

		} else {

			formToggle = 'more';
			document.all[id].style.display = 'none';
			document.all.more.innerText = 
				'<?= getIntlMsgJS('MSG_MORE_OPTIONS') ?>';

		}

	} else if (document.getElementById){

		if (formToggle == 'more') {

			formToggle = 'less';
			document.getElementById(id).style.display = 'block';
			document.getElementById('more').innerText = 
				'<?= getIntlMsgJS('MSG_FEWER_OPTIONS') ?>';

		} else {

			formToggle = 'more';
			document.getElementById(id).style.display = 'none';
			document.getElementById('more').innerText = 
				'<?= getIntlMsgJS('MSG_MORE_OPTIONS') ?>';

		}
	}

	return false;
}

// -->
