Summary:   Postfix Mail Transport Agent
Name:      postfix
Version:   1.1.3
Release:   2
URL:       http://www.postfix.org/
Source0:   %{Name}-%{Version}.tar.gz
Source1:   postfix113.cron
Source2:   postfix113.init
Source3:   postfix113main.cf
Source4:   postfix113master.cf
Source5:   postfix113trailer.cf
Patch0:    pfixtls-0.8.3-1.1.3-0.9.6c.diff
Patch1:    postfix113.caldera.patch
Copyright: IBM Public License
Group:     System/Servers
Provides:  smtpdaemon
Conflicts: sendmail, mtabase
Requires:  openldap, openssl, cyrus-sasl
Prereq:    /usr/bin/wc
Obsoletes: postfix-beta
BuildRoot: %{_tmppath}/%{Name}-%{Version}-root

%Description
Postfix aims to be an alternative to the widely-used sendmail
program.  Sendmail is responsible for 70 percent of all e-mail delivered
on the Internet.  With an estimated 100 million users, that's an
estimated 10 billion (10^10) messages daily. A stunning number.

Although IBM supported the Postfix development, it abstains from
control over its evolution. The goal is to have Postfix installed
on as many systems as possible. To this end, the software is given
away with no strings attached to it, so that it can evolve with
input from and under control by its users.

%Prep
%setup -q -n %{Name}-%{Version}

%patch -P 0 -p1
%patch -P 1 -p1

%Build

make tidy
make makefiles CCARGS="-I/usr/cyrus-sasl/include \
	-DHAS_LDAP -DHAS_SSL -DUSE_SASL_AUTH" \
	AUXLIBS="/usr/lib/libldap.a /usr/lib/liblber.a \
	-L/usr/lib/openssl/lib -lssl -lcrypto -L/usr/cyrus-sasl/lib -lsasl"
make DEBUG="" OPT="$RPM_OPT_FLAGS"

%Install
%{mkDESTDIR}

install -d $DESTDIR/etc/cron.d/Daily
install -d $DESTDIR/etc/postfix
install -d $DESTDIR/etc/postfix/sample
install -d $DESTDIR/etc/postfix/README
install -d $DESTDIR%{SVIdir}
install -d $DESTDIR/usr/bin
install -d $DESTDIR/usr/libexec/postfix
install -d $DESTDIR%{_mandir}%{manEN}/man{1,5,8}
install -d $DESTDIR/usr/sbin
install -d $DESTDIR/var/spool/postfix
install -d $DESTDIR/usr/lib
install -d $DESTDIR/var/tmp

install -m755 libexec/* $DESTDIR/usr/libexec/postfix
install -m755 bin/post* $DESTDIR/usr/sbin
install -m755 bin/sendmail $DESTDIR/usr/lib/sendmail
install -m644 man/man1/* $DESTDIR%{_mandir}%{manEN}/man1
install -m644 man/man5/* $DESTDIR%{_mandir}%{manEN}/man5
install -m644 man/man8/* $DESTDIR%{_mandir}%{manEN}/man8
install -m644 conf/sample-* $DESTDIR/etc/postfix/sample
install -m644 README_FILES/* $DESTDIR/etc/postfix/README

install -m644 conf/LICENSE $DESTDIR/etc/postfix
install -m644 conf/access $DESTDIR/etc/postfix
install -m644 conf/aliases $DESTDIR/etc/postfix
install -m644 conf/canonical $DESTDIR/etc/postfix
#install -m644 conf/main.cf $DESTDIR/etc/postfix
install -m644 conf/main.cf.default $DESTDIR/etc/postfix
#install -m644 conf/master.cf $DESTDIR/etc/postfix
install -m644 conf/pcre_table $DESTDIR/etc/postfix
install -m644 conf/pcre_table $DESTDIR/etc/postfix
install -m644 conf/postfix-files $DESTDIR/etc/postfix
install -m644 conf/regexp_table $DESTDIR/etc/postfix
install -m644 conf/relocated $DESTDIR/etc/postfix
install -m644 conf/transport $DESTDIR/etc/postfix
install -m644 conf/virtual $DESTDIR/etc/postfix

install -m755 conf/postfix-script $DESTDIR/etc/postfix
install -m755 conf/post-install $DESTDIR/etc/postfix

install -m755 %{SOURCE1} $DESTDIR/etc/cron.d/Daily/postfix
install -m755 %{SOURCE2} $DESTDIR%{SVIdir}/postfix
# this main.cf is the output of make install from the tarball
# we need a configured master.cf to match all of the above paths.
install -m644 %{SOURCE3} $DESTDIR/etc/postfix/main.cf
# this master.cf includes our VMS special items.
install -m644 %{SOURCE4} $DESTDIR/etc/postfix/master.cf
install -m644 %{SOURCE5} $DESTDIR/var/tmp/postfix113trailer.cf

# FIXME - when this postfix package is integrated into the mta-switch scheme
# (provided by the mtabase RPM package), this chunk of code should go away.
# The settings that are directed into this file should be handled by the
# /etc/sysconfig/daemons/mta file instead, and should be set using the
# functionality written into the mta-switch scheme
mkdir -p $DESTDIR/etc/sysconfig/daemons
cat <<-'EoD'  > $DESTDIR/etc/sysconfig/daemons/postfix
# Configuration resides in /etc/sysconfig/mouse
IDENT=postfix
DESCRIPTIVE="Postfix Mail Transport Agent"
ONBOOT="yes"
OPTIONS=""
EoD


( cd $DESTDIR/usr/bin
  ln -sf /usr/lib/sendmail mailq
  ln -sf /usr/lib/sendmail newaliases
  ln -sf /usr/lib/sendmail $DESTDIR/usr/sbin/sendmail
)

for I in etc/postfix/{aliases,access,canonical,pcre_table,regepx_table,relocated,transport,virtual}
do
   touch $DESTDIR/$I{,.db}
done

# set up documentation
docdir=$DESTDIR%{_defaultdocdir}/%{Name}-%{Version}
mkdir -p $docdir
mkdir -p $docdir/{html,examples}
mkdir -p $docdir/examples/{chroot-setup,virtual-setup}
cp {0README,COMPATIBILITY,HISTORY,LICENSE,RELEASE_NOTES} $docdir
cp html/* $docdir/html
cp examples/chroot-setup/* $docdir/examples/chroot-setup
cp examples/virtual-setup/* $docdir/examples/virtual-setup

%{fixUP} -T $DESTDIR%{SVIdir} -e 's:\@SVIdir\@:%{SVIdir}:'     

%Pre

# stop postfix if already installed and running
if [ -f /var/lock/subsys/postfix ]; then
   %{SVIdir}/postfix stop
fi

# add the group postdrop
newGid=40
while [ `grep postdrop /etc/group | wc -l` = 0 ] && [ $newGid -lt 100 ]
do
  /usr/sbin/groupadd -g $newGid postdrop >/dev/null 2>&1 ||:
  newGid=$((newGid + 1))
done
if [ `grep postdrop /etc/group | wc -l` = 0 ]; then 
  echo "Postfix preinstall: Failed to add group postdrop"
  exit 1
fi

# add the group postfix
newGid=40
while [ `grep postfix /etc/group | wc -l` = 0 ] && [ $newGid -lt 100 ]
do
  /usr/sbin/groupadd -g $newGid postfix >/dev/null 2>&1 ||:
  newGid=$((newGid + 1))
done
if [ `grep postfix /etc/group | wc -l` = 0 ]; then 
  echo "Postfix preinstall: Failed to add group postfix"
  exit 1
fi

# add the user postfix
newUid=40
while [ `grep ^postfix: /etc/passwd | wc -l` = 0 ] && [ $newUid -lt 100 ]
do
   /usr/sbin/useradd  -d /var/spool/postfix -s "" \
   -g postfix -c "postfix" -u $newUid postfix ||:
   newUid=$((newUid + 1))
done
if [ `grep ^postfix: /etc/passwd | wc -l` = 0 ]; then 
  echo "Postfix preinstall: Failed to add user postfix"
  exit 1
fi

# for the upgrade case, was a link, now is a directory, avoid confusion
rm -fr /usr/libexec/postfix
rm -fr /usr/lib/postfix
rm -fr /etc/postfix/main.cf.rpmsave

%Post

# insert postfix into startup scripts
/usr/lib/LSB/init-install postfix

# set up alias data
/usr/sbin/postalias /etc/postfix/aliases

# in place upgrade case, save old main.cf
if [ -f /etc/postfix/main.cf.rpmsave  ]; then
	mv /etc/postfix/main.cf.rpmsave /etc/postfix/main.cf
	chmod 644 /etc/postfix/main.cf
	# Append the new required variables to main.cf if needed
	grep dracd /etc/postfix/main.cf > /dev/null || {
		echo "" >> /etc/postfix/main.cf
		echo "# Relay restrictions for mynetworks and drac" >> /etc/postfix/main.cf
		echo "smtpd_recipient_restrictions = check_client_access btree:/etc/postfix/dracd,permit_mynetworks,reject" >> /etc/postfix/main.cf
	}
	grep INSTALL-TIME /etc/postfix/main.cf > /dev/null ||
		cat /var/tmp/postfix113trailer.cf >> /etc/postfix/main.cf
fi

# create directories as needed
/usr/sbin/postfix check >/dev/null 2>&1

# run the postfix one-time permissions setup script.
/etc/postfix/post-install set-permissions

%Preun

# if not an upgrade (or last instance) then clean up a few things.
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/postfix ]; then
      %{SVIdir}/postfix stop
   fi

   # remove postfix into startup scripts
   /usr/lib/LSB/init-remove postfix

   # remove other links
   rm -f /etc/aliases.db >/dev/null 2>&1 ||:
fi

%Postun

# if not an upgrade (or last instance) then clean up a few things.
if [ $1 = 0 ]; then
   if [ `grep postfix /etc/passwd | wc -l` = 1 ]; then
      /usr/sbin/userdel postfix
   fi
   if [ `grep postfix /etc/group | wc -l` = 1 ]; then
      /usr/sbin/groupdel postfix
   fi
   if [ `grep postdrop /etc/group | wc -l` = 1 ]; then
      /usr/sbin/groupdel postdrop
   fi
   if ! [ -f /var/lock/subsys/postfix ]; then
        rm -rf /var/lock/subsys/postfix
   fi
fi


%Clean
%{rmDESTDIR}

%Files

%defattr(-,root,root)

%{_defaultdocdir}/*

%dir /etc/postfix
%dir /etc/postfix/sample

%config /etc/cron.d/Daily/postfix
%config %{SVIdir}/postfix

%config /etc/postfix/access
%config /etc/postfix/aliases
%config /etc/postfix/canonical
/etc/postfix/LICENSE
%config /etc/postfix/main.cf
/etc/postfix/main.cf.default
%config /etc/postfix/master.cf
%config /etc/postfix/pcre_table
/etc/postfix/postfix-files
/etc/postfix/postfix-script
/etc/postfix/post-install
/etc/postfix/README
/etc/postfix/sample/*
%config /etc/postfix/regexp_table
%config /etc/postfix/relocated
%config /etc/postfix/transport
%config /etc/postfix/virtual

/usr/sbin/*
/usr/bin/*
/etc/sysconfig/daemons/postfix
%dir /var/spool/postfix
%dir /usr/libexec/postfix
/usr/libexec/postfix/*
/usr/lib/sendmail

/var/tmp/*

%attr(-,root,man) %{_mandir}/*/*

%Changelog
* Tue Aug 6 2002 Michal Marko <mmarko@caldera.com>
- modified build options: added -DUSE_SASL_AUTH -[IL]/usr/curus-sasl -lsasl
- requires += cyrus-sasl
* Fri Feb 22 2002 Kurt Hutchison <kurth@caldera.com>
- created this RPM, based on the previous one.
- started with the tarball from postfix.org.
- updated with the TLS (SSL) patch available as a link from postfix.org,
  the Lutz Jaenicke one.
