#
#  File: scomsg-turba.spec
#
#  This is the SPEC file for Turba on UnitedLinux (RPM v4) RPMs/SRPM.
#

%define name scomsg-turba
%define version 1.1
%define release 2ul
%define apachedir /etc/httpd
%define apacheuser wwwrun
%define apachegroup www
%define contentdir /opt/lsb-sco.com/msg

Name: %name
Version: %version
Release: %release
Summary: Turba, the Horde contact management application.
Copyright: GPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/imp/tarballs/turba-%{version}.tar.gz
Source1: %{name}-%{version}-theme.tar.gz
Patch0: %{name}-%{version}-theme.patch
Vendor: The Horde Project
URL: http://www.horde.org/
Packager: Bill Welch <billw@sco.com>
BuildArchitectures: noarch
BuildRoot: /tmp/turba-root
Requires: mod_php >= 4.1.0
Requires: apache >= 1.3.22
Requires: scomsg-horde >= 2.0
Prereq: /usr/bin/perl

%description
Turba is the Horde contact management application.
It is a fairly complete basic contact management application with
SQL and LDAP backends and Horde API functions to add and search for contacts.
Turba makes heavy use of the Horde framework to provide integration
with other applications.

%prep
%setup -q -n turba-%{version}
%patch0 -p1

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde/turba
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde/turba
tar xvzfC %{SOURCE1} $RPM_BUILD_ROOT%{contentdir}/horde/turba
cd $RPM_BUILD_ROOT%{contentdir}/horde/turba/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post
cat <<_EOF_
You must manually configure Turba!
See "CONFIGURING TURBA" in %{contentdir}/horde/turba/docs/INSTALL
_EOF_

%postun

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/turba
# Include top-level files by hand
%{contentdir}/horde/turba/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/turba/graphics
%{contentdir}/horde/turba/lib
%{contentdir}/horde/turba/locale
%{contentdir}/horde/turba/po
%{contentdir}/horde/turba/scripts
%{contentdir}/horde/turba/templates
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/turba/COPYING
%doc %{contentdir}/horde/turba/README
%docdir %{contentdir}/horde/turba/docs
%{contentdir}/horde/turba/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/turba/config
%defattr(640,root,%{apachegroup})
%{contentdir}/horde/turba/config/.htaccess
%{contentdir}/horde/turba/config/*.dist
%config %{contentdir}/horde/turba/config/*.php

%changelog
* Sat Dec 21 2002 Bill Welch <billw@sco.com>
- 1.1 release 1
